﻿using SOMAWP81;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.Phone.UI.Input;
using Windows.Storage;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkID=390556

namespace SomaDemo
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class ImageBanner : Page
    {
        public ImageBanner()
        {
            this.InitializeComponent();
            int AdSpaceId;
            int PublisherId;
            try
            {
                AdSpaceId = int.Parse(ApplicationData.Current.LocalSettings.Values["adSpaceId"].ToString());
                PublisherId = int.Parse(ApplicationData.Current.LocalSettings.Values["publisherId"].ToString());
            }
            catch (Exception e)
            {
                AdSpaceId = 0;
                PublisherId = 0;
            }
            somaAdViewer.Adspace = AdSpaceId;
            somaAdViewer.Pub = PublisherId;
            somaAdViewer.AdInterval = 10000;
            somaAdViewer.NewAdAvailable += somaAdViewer_NewAdAvailable;
            somaAdViewer.Format = SomaAd.FormatRequested.richmedia;
            somaAdViewer.FormatStrict = true;
            somaAdViewer.AdClick += Ad_AdClick;
            somaAdViewer.StartAds();
        }

        /// <summary>
        /// Invoked when this page is about to be displayed in a Frame.
        /// </summary>
        /// <param name="e">Event data that describes how this page was reached.
        /// This parameter is typically used to configure the page.</param>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            Windows.Phone.UI.Input.HardwareButtons.BackPressed += HardwareButtons_BackPressed;
        }

        void Ad_AdClick(object sender, EventArgs e)
        {
            System.Diagnostics.Debug.WriteLine("Ad Clicked!");
            somaAdViewer.Dispose();
                    somaAdViewer.StopAds();
        }

        void somaAdViewer_NewAdAvailable(object sender, EventArgs e)
        {
            if (somaAdViewer.Status == "error")
            {
                System.Diagnostics.Debug.WriteLine("error!");
            }
            else
            {
                System.Diagnostics.Debug.WriteLine("no error!");
            }

        }

        private void HardwareButtons_BackPressed(object sender, BackPressedEventArgs e)
        {
            if (!e.Handled)
            {
                Frame frame = Window.Current.Content as Frame;
                if (frame == null)
                {
                    return;
                }

                if (frame.CanGoBack)
                {
                    frame.GoBack();
                    e.Handled = true;
                }
            }
            somaAdViewer.Dispose();
            somaAdViewer.StopAds();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            somaAdViewer.StartAds();
        }
    }
}
