﻿using SOMAWP81;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.Phone.UI.Input;
using Windows.Storage;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkID=390556

namespace SomaDemo
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class Interstitial : Page
    {
        SomaInterstitialAd interstitialAd = new SomaInterstitialAd();
        public Interstitial()
        {
            this.InitializeComponent();
            int AdSpaceId;
            int PublisherId;
            try
            {
                AdSpaceId = int.Parse(ApplicationData.Current.LocalSettings.Values["adSpaceId"].ToString());
                PublisherId = int.Parse(ApplicationData.Current.LocalSettings.Values["publisherId"].ToString());
            }
            catch (Exception e)
            {
                AdSpaceId = 0;
                PublisherId = 0;
            }
            interstitialAd.Adspace = AdSpaceId;
            interstitialAd.Pub = PublisherId;
            interstitialAd.NewAdAvailable += interstitialAd_NewAdAvailable;
            interstitialAd.AdClick += interstitialAd_AdClick;
            interstitialAd.LoadInterstitial();
        }

        /// <summary>
        /// Invoked when this page is about to be displayed in a Frame.
        /// </summary>
        /// <param name="e">Event data that describes how this page was reached.
        /// This parameter is typically used to configure the page.</param>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            Windows.Phone.UI.Input.HardwareButtons.BackPressed += HardwareButtons_BackPressed;
        }

        void interstitialAd_NewAdAvailable(object sender, EventArgs e)
        {
            // display the ad
            interstitialAd.ShowInterstitial();
        }

        void interstitialAd_AdClick(object sender, EventArgs e)
        {
            System.Diagnostics.Debug.WriteLine("Ad Clicked!");
        }

        private void HardwareButtons_BackPressed(object sender, BackPressedEventArgs e)
        {
            Frame frame = Window.Current.Content as Frame;
            if (frame == null)
            {
                return;
            }

            if (frame.CanGoBack)
            {
                frame.GoBack();
                e.Handled = true;
            }
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            interstitialAd.LoadInterstitial();
        }
    }
}
