﻿using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.Phone.UI.Input;
using Windows.Storage;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkID=390556

namespace SomaDemo
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class Settings : Page
    {
        public Settings()
        {
            this.InitializeComponent();
            if (ApplicationData.Current.LocalSettings.Values.ContainsKey("publisherId") && ApplicationData.Current.LocalSettings.Values.ContainsKey("adSpaceId"))
                {
                    PublisherIds.Text = ApplicationData.Current.LocalSettings.Values["publisherId"].ToString();
                    AdSpaceId.Text = ApplicationData.Current.LocalSettings.Values["adSpaceId"].ToString();
                }
            else {
                PublisherIds.Text = "" + 0;
                AdSpaceId.Text = "" + 0;
                ApplicationData.Current.LocalSettings.Values["publisherId"] = 0;
                ApplicationData.Current.LocalSettings.Values["adSpaceId"] = 0;
            }
            
        }

        /// <summary>
        /// Invoked when this page is about to be displayed in a Frame.
        /// </summary>
        /// <param name="e">Event data that describes how this page was reached.
        /// This parameter is typically used to configure the page.</param>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            Windows.Phone.UI.Input.HardwareButtons.BackPressed += HardwareButtons_BackPressed;
        }

        private void HardwareButtons_BackPressed(object sender, BackPressedEventArgs e)
        {
            Frame frame = Window.Current.Content as Frame;
            if (frame == null)
            {
                return;
            }

            if (frame.CanGoBack)
            {
                frame.GoBack();
                e.Handled = true;
            }
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            ApplicationData.Current.LocalSettings.Values["publisherId"] = PublisherIds.Text;
            ApplicationData.Current.LocalSettings.Values["adSpaceId"] = AdSpaceId.Text;
            Frame frame = Window.Current.Content as Frame;
            frame.GoBack();
        }

    }
}
