﻿using SOMAWP81;
using System;
using System.Collections.Generic;
using System.IO;
using System.Linq;
using System.Runtime.InteropServices.WindowsRuntime;
using Windows.Foundation;
using Windows.Foundation.Collections;
using Windows.Phone.UI.Input;
using Windows.Storage;
using Windows.UI.Xaml;
using Windows.UI.Xaml.Controls;
using Windows.UI.Xaml.Controls.Primitives;
using Windows.UI.Xaml.Data;
using Windows.UI.Xaml.Input;
using Windows.UI.Xaml.Media;
using Windows.UI.Xaml.Navigation;

// The Blank Page item template is documented at http://go.microsoft.com/fwlink/?LinkID=390556

namespace SomaDemo
{
    /// <summary>
    /// An empty page that can be used on its own or navigated to within a Frame.
    /// </summary>
    public sealed partial class TextBanner : Page
    {
        public TextBanner()
        {
            this.InitializeComponent();
            int AdSpaceId;
            int PublisherId;
            try {
                AdSpaceId = int.Parse(ApplicationData.Current.LocalSettings.Values["adSpaceId"].ToString());
                PublisherId = int.Parse(ApplicationData.Current.LocalSettings.Values["publisherId"].ToString());
            } catch (Exception e) {
                AdSpaceId = 0;
                PublisherId = 0;
            }
            somaAdViewer.Adspace = AdSpaceId;
            somaAdViewer.Pub = PublisherId;
            somaAdViewer.AdInterval = 10000;
            somaAdViewer.Format = SomaAd.FormatRequested.txt;
            somaAdViewer.FormatStrict = true;
            somaAdViewer.ShowErrors = false;
            somaAdViewer.NewAdAvailable += somaAdViewer_NewAdAvailable;
            somaAdViewer.Age = 27;
            somaAdViewer.Gender = "m";
            somaAdViewer.City = "Hamburg";
            somaAdViewer.Zip = "20357";
            somaAdViewer.Country = "Germany";
            somaAdViewer.Coppa = true;
            somaAdViewer.Countrycode = "de";
            somaAdViewer.StartAds();
        }

        private void somaAdViewer_NewAdAvailable(object sender, EventArgs e)
        {
            if (somaAdViewer.Status == "error")
            {
                System.Diagnostics.Debug.WriteLine("error!");
            }
            else
            {
                System.Diagnostics.Debug.WriteLine("no error!");
            }
        }

        /// <summary>
        /// Invoked when this page is about to be displayed in a Frame.
        /// </summary>
        /// <param name="e">Event data that describes how this page was reached.
        /// This parameter is typically used to configure the page.</param>
        protected override void OnNavigatedTo(NavigationEventArgs e)
        {
            Windows.Phone.UI.Input.HardwareButtons.BackPressed += HardwareButtons_BackPressed;
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            somaAdViewer.StartAds();
        }
        private void HardwareButtons_BackPressed(object sender, BackPressedEventArgs e)
        {

            System.Diagnostics.Debug.WriteLine("back!");
            Frame frame = Window.Current.Content as Frame;
            if (frame == null)
            {
                return;
            }

            if (frame.CanGoBack)
            {
                frame.GoBack();
                e.Handled = true;
                somaAdViewer.Dispose();
            }
        }
    }
}
